Bug 771924 - [RFE] Provide native systemd service
Summary: [RFE] Provide native systemd service
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: ceph
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ken Dreyer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: FutureFeature
Depends On:
Blocks: 751869
TreeView+ depends on / blocked
 
Reported: 2012-01-05 12:02 UTC by Jóhann B. Guðmundsson
Modified: 2016-02-23 23:19 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-02-23 23:19:49 UTC


Attachments (Terms of Use)
Simple ceph test config (535 bytes, text/plain)
2012-01-05 12:28 UTC, Jóhann B. Guðmundsson
no flags Details
Native systemd service file for ceph monitor (212 bytes, text/plain)
2012-01-05 12:45 UTC, Jóhann B. Guðmundsson
no flags Details
Native systemd service file for ceph metadata daemon (211 bytes, text/plain)
2012-01-05 12:46 UTC, Jóhann B. Guðmundsson
no flags Details
Native systemd service file for ceph osd daemon (220 bytes, text/plain)
2012-01-05 12:47 UTC, Jóhann B. Guðmundsson
no flags Details


Links
System ID Priority Status Summary Last Updated
Debian BTS 769593 None None None Never

Description Jóhann B. Guðmundsson 2012-01-05 12:02:12 UTC
Description of problem:

Let's get the ball rolling on this one...

http://fedoraproject.org/wiki/Features/SysVtoSystemd
https://fedoraproject.org/wiki/Packaging:Guidelines:Systemd
https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Systemd

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Jóhann B. Guðmundsson 2012-01-05 12:26:40 UTC
Unfortunately I dont have the necessary hw to test this so this going to take some back and fourth getting right. 

I suggest that we start by creating a single unit file for each daemon once you guys have confirmed that they are being started correctly and in the correct order of each other we can move to a more complex systemd setup.

Comment 2 Jóhann B. Guðmundsson 2012-01-05 12:28:49 UTC
Created attachment 550886 [details]
Simple ceph test config

I think the ceph test config should look like this based on upstream documenation

Comment 3 Jóhann B. Guðmundsson 2012-01-05 12:45:42 UTC
Created attachment 550891 [details]
Native systemd service file for ceph monitor

Comment 4 Jóhann B. Guðmundsson 2012-01-05 12:46:31 UTC
Created attachment 550892 [details]
Native systemd service file for ceph metadata daemon

Comment 5 Jóhann B. Guðmundsson 2012-01-05 12:47:56 UTC
Created attachment 550893 [details]
Native systemd service file for ceph osd daemon

Comment 6 Jóhann B. Guðmundsson 2012-01-05 12:51:02 UTC
Let's start with these and see what remains to do from the legacy sysv init script.

note that I'm using $id in them so you might need to adjust the submitted unit's accordingly...

Comment 7 Gwyn Ciesla 2012-05-15 13:11:53 UTC
Josepf, any objection to my making this change?

Comment 8 Josef Bacik 2012-05-15 13:58:08 UTC
Only if they are sent upstream.

Comment 9 Fedora End Of Life 2013-04-03 15:25:22 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Comment 10 Ken Dreyer 2014-01-04 00:31:20 UTC
Moving back to Rawhide, and marking as FutureFeature to avoid auto-closing.

(By the way, I've applied for co-maintainership in pkgdb.)

Comment 11 Fedora Admin XMLRPC Client 2014-05-13 17:09:34 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 12 Jóhann B. Guðmundsson 2014-05-26 09:43:25 UTC
Given that I have left the project and a new individual may or may not continue with systemd integration in the project by submitting new feature following whatever demands FPC and FESCo might have and thus new units in the process I'm closing this and all remaining bugs I had submitted for this particular feature as WONTFIX

Comment 13 Ken Dreyer 2014-11-14 21:33:27 UTC
Re-opening, because we still need systemd unit files in Ceph.

Comment 14 Jóhann B. Guðmundsson 2014-11-15 08:18:58 UTC
The upstream unit files are wrong [1] and Fedora/RHEL spesific and those Debian submitted files are also wrong and mess on top of that ( anything that does this "Exec$FOO=-/bin/sh -c" in units rings warning bells).  

The maintainer here does not give shit otherwise we would have finished this migration close to three years ago --> 2012-01-05 <-- so you can just as well close this bug again.


1. https://github.com/ceph/ceph/blob/master/systemd/ceph-mds%40.service
2. http://anonscm.debian.org/cgit/pkg-ceph/ceph.git/commit/?h=experimental&id=3c22e192d964789365e8dc21c168c5fd8985f7d8

Comment 15 Boris Ranto 2016-02-23 23:19:49 UTC
Some reasonable ceph unit files are already in rawhide (9.2.0) and the upstream unit files are continuously being developed to further improve the situation. I think we can close this, now.


Note You need to log in before you can comment on or make changes to this bug.